Bug 2156779 - Please provide miller for EPEL-9
Summary: Please provide miller for EPEL-9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: miller
Version: epel9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Kitt
QA Contact:
URL:
Whiteboard:
: 2275819 (view as bug list)
Depends On:
Blocks: EPELPackagersSIG
TreeView+ depends on / blocked
 
Reported: 2022-12-28 17:08 UTC by Gerd v. Egidy
Modified: 2024-05-16 00:40 UTC (History)
2 users (show)

Fixed In Version: miller-5.10.2-1.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-16 00:40:24 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Gerd v. Egidy 2022-12-28 17:08:06 UTC
Description of problem:

miller is currently being provided for EPEL-8, but not for EPEL-9. Please build the package for EPEL-9 too. It looks to me like it won't be difficult to build it on EL9.

I like miller to work with CSV files in shell scripts. miller not being available on EL9 makes migrating more difficult.

Comment 1 Michel Lind 2024-04-23 23:28:50 UTC
This builds just fine in EPEL 9: https://koji.fedoraproject.org/koji/taskinfo?taskID=116794752

Could you branch and build for epel9?

If you do not wish to maintain miller in epel9,
or do not think you will be able to do this in a timely manner,
the EPEL Packagers SIG and Go SIG would be happy to be a co-maintainer of the package;
please add the epel-packagers-sig group and the go-sig group through
https://src.fedoraproject.org/rpms/miller/addgroup

- grant go-sig commit access
- grant epel-packagers-sig collaborator access on epel* branches.

I would also be happy to be a co-maintainer (FAS: salimma);
please add me through https://src.fedoraproject.org/rpms/miller/adduser

Comment 2 Stephen Kitt 2024-05-03 08:48:10 UTC
Apologies for the delay, I’ve pushed a build for EPEL 9.

@michel I’ve added you as a co-maintainer, thanks! I’ve been working on and off on getting the Go dependencies ready so that we can switch to Miller 6, see https://bugzilla.redhat.com/show_bug.cgi?id=2215517

Comment 3 Michel Lind 2024-05-07 20:17:28 UTC
(In reply to Stephen Kitt from comment #2)
> Apologies for the delay, I’ve pushed a build for EPEL 9.
> 
> @michel I’ve added you as a co-maintainer, thanks! I’ve been
> working on and off on getting the Go dependencies ready so that we can
> switch to Miller 6, see https://bugzilla.redhat.com/show_bug.cgi?id=2215517

thank you! Could you add go-sig to Miller as well? Since Miller 6 is ported to go, the Go SIG will likely be happy to comaintain it.

Comment 4 Michel Lind 2024-05-07 20:18:02 UTC
*** Bug 2275819 has been marked as a duplicate of this bug. ***

Comment 5 Fedora Update System 2024-05-07 20:18:50 UTC
FEDORA-EPEL-2024-2a421b2bf0 (miller-5.10.2-1.el9) has been submitted as an update to Fedora EPEL 9.
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-2a421b2bf0

Comment 6 Michel Lind 2024-05-07 20:24:08 UTC
I've added epel-packagers-sig (collaborator on epel* only) and go-sig (for when v6 is ready). Will try and take a look at the review request

Comment 7 Fedora Update System 2024-05-08 00:32:04 UTC
FEDORA-EPEL-2024-2a421b2bf0 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-2a421b2bf0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-05-16 00:40:24 UTC
FEDORA-EPEL-2024-2a421b2bf0 (miller-5.10.2-1.el9) has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.